IACA fails on older Macs

IACA fails on older Macs

Both the 32-bit and the 64-bit OS X versions of IACA 2.1 crash on my Mac, with "Illegal instruction: 4". I believe this message means that an unrecognized instruction was encountered. I am using OS X 10.7.5 on a 2007 Core 2 Duo machine, which supports SSE2 but no higher. Was IACA built with code generation for a more recent ISA?

1 post / 0 new
For more complete information about compiler optimizations, see our Optimization Notice.